# PSF-LoginServer - master - net.psforever.services.teamwork.SquadService.ProximityInvite
PSF - LoginServer - master - net.psforever.services.teamwork.SquadService.ProximityInvite
Keywords: PSF LoginServer master net.psforever.services.teamwork.SquadService.ProximityInvite

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package teamwork
  Definition Classes
    services
-  object SquadService
  Definition Classes
    teamwork
- IndirectInvite
- Invitation
- LookingForSquadRoleInvite
- ProximityInvite
- RequestRole
- SpontaneousInvite
- VacancyInvite
- WaypointData

c

net.psforever.services.teamwork.SquadService

# ProximityInvite

###

#### final case class ProximityInvite(char_id: Long, name: String, squad_guid: PlanetSideGUID) extends Invitation with Product with Serializable

Utilized in conjunction with an external queuing data structure to search for and submit requests to other players for the purposes of fill out unoccupied squad roles.

char_id

  the unique character identifier of the squad leader

name

  the name of the squad leader

squad_guid

  the squad

Source
  SquadService.scala

Linear Supertypes
Serializable, Product, Equals, Invitation, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ProximityInvite
2. Serializable
3. Product
4. Equals
5. Invitation
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ProximityInvite(char_id: Long, name: String, squad_guid: PlanetSideGUID)

   char_id

     the unique character identifier of the squad leader

   name

     the name of the squad leader

   squad_guid

     the squad

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def InviterCharId: Long
   Definition Classes
     Invitation
5.  def InviterName: String
   Definition Classes
     Invitation
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val char_id: Long
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val name: String
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  val squad_guid: PlanetSideGUID
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Invitation

### Inherited from AnyRef

### Inherited from Any

### Ungrouped